TAAS - Feature #176

Transfer Issue
03/13/2023 11:07 AM - Junaid M

Status: Reopen Bugs Start date: 03/13/2023
Priority: Normal Due date:

Assignee: Baseem Shan % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Transfer Issue

Description

Coding Transfer Issue

History

#1 - 03/20/2023 09:53 AM - Junaid M
- Assignee changed from Junaid M to Shanto Shaji

#2 - 03/20/2023 06:00 PM - Shanto Shaji

- Tracker changed from Bug to Feature

#3 - 04/05/2023 09:08 AM - Shanto Shaji
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#4 - 06/21/2023 06:42 PM - Amal Cyriac

- Status changed from Coding Started to Reopen Bugs
- % Done changed from 40 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Remove Batch no. from drop down label toggle
2.Set alignment on drop down label toggle

3.Use proper alerts

(LPO No. required alert)

4 Fix bugs on date - Change to previous while save
5.Set tool tips on - Sup Conf No & Confirm Number
6.Set validations on check box - Pick up & Drop off
(Input box must Enable/Disable based on check box)
7.Fix bugs on airline input box

8.Set required valiadtion on mandatory tabs (Red Star)
9.Fix bugs on transfer details - Spell mistakes & Grid resize

#5 - 07/05/2023 11:19 AM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#6 - 07/12/2023 06:18 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix bugs on date picker - shrink while meu expand
2.Resize commission agent auto completion field - code
3.Set alignment on drop down label toggle
4.Connect provider input field with 'Service Provider' Module

5.Connectb ancillary service input field with 'Ancillary Service' module
6.Change in GUI - Replace Supplier & Provider

7.Fix bugs on XO input field - Prevent invalid code

8.Fix errors on Chauffeur input field - Auto completion not working

9.Set proper validations on Date Picker - Date range

10.Fare - Tax detail Popup - Grid resize & Set right alignment on amounts

#7 - 08/02/2023 04:12 PM - Shanto Shaiji

Issue Found

1. date save as backward

#8 - 08/02/2023 04:45 PM - unnikannan S

ISSUE FOUNDED

1.ADD ACCOUNTS THOSE ACT US CUSTOMER-COMMISSION AGENT,EMPLOYEE
2.REMOVE APPROVED BY NAME

3.CORRECT THE FORMAT OF POSTING STATUS

4. SHOWING ALL PAX DETAILS IN FILTER GRID PAX DETAILS

5.NOT SHOWING CANCELED TICKETS

6.ADD ACCOUNTS THOSE ACT US COMMISSION AGENT-EMPLOYEE,CUSTOMER
7.ADD ACCOUNTS THOSE ACT US SUPPLIER-COA,CUSTOMER,AIRLINE

8.SHOW ANCILLARY SERVICE AS PER CHOOSEN

9.SHOWING NAN IN FARE-PRICE
10.CORRECT THE ALLIGMENT OF COMMISSION AGENT TAB

#9 - 08/11/2023 03:24 PM - Seema Mathew

- Tested By changed from Amal Cyriac to Seema Mathew

ISSUE FOUNDED

1.The To date is below the From date when saving

2.After giving the LPO number and saving, it shows Lapo no required

3.The pickup date is saved by entering the date above the From Date and To Date.
4.no tool tip (period,Sup Conf No,PNR No,LPO No.)

#10 - 08/18/2023 04:41 PM - Seema Mathew
ISSUE FOUNDED

1.CHANGING DATE TO PAST VALIDATING

#11 - 09/12/2023 05:00 PM - Seema Mathew
ISSUE FOUNDED-

1. HAND MAKER NOT TOOL TIP

#12 - 09/23/2023 03:54 PM - unnikannan S

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

FIXED - 1.CHANGE TIME FORMAT TO 24 HRS

FIXED - 2.REMOVE VALIDATION FOR LPO NO TICK BOX CASE
FIXED - 3.ERROR WHLE CHOOSING FARE

FIXED - 4.NOT SHOWING CHAUFFEUR CODE OF EMPLOYEE
FIXED - 5.MISSING CUSTOMER TAB

6.RE-DIRECT ISSUE FIXED

7.SHOWING VALIDATION FOR TICKET NO FIXED

#13 - 09/27/2023 10:13 AM - Junaid M

- Assignee changed from Shanto Shaji to Baseem Shan

#14 - 01/05/2024 10:22 AM - unnikannan S
ISSUE FOUNDED
FIXED - 1.CHANGE IN FARE FIELDS IN FOCUS OUT FROM PERCENTAGE FIELD ALSO IN AP SHARING FIELD
FIXED - 2.ERROR WHILE ADDING CUSTOMER/FOP CHOOSING THE ACCOUNTS THOSE SETED AS THE ACCOUNTS OF BRANCH MASTER
CONTROL A/C

FIXED - 3.SWITCHING TO TRANSFER FIELD WHILE CHOOSING NEW BUTTON

FIXED - 4.MISSING MANDATORY FIELDS AND PRECISION AND ERROR IN SAVE WHILE CHOOSING NEW BUTTON
FIXED - 5.SHOW DATA OF ANCILLARY SERVICES AS PER CHOOSEN SERVICES IN ANCILLARY SERVICE MASTER
6.MISSING SAVED XO VOUCHERS WHILE DELETING ONE VOUCHER ITEM FROM VOUCHERS

FIXED - 7.SHOWING ALREADY UPDATED MESSAGE AFTER SAVE

FIXED - 8.ERROR WHILE ADDING VOUCHER NUMBER MANUALLY ON THE BASIS OF CONTINUOUS SERIES
FIXED - 9.CONNECT DATAS TO SUPPLIER SERVICE WISE SOA REPORT

FIXED - 10.Transfer->Provider->Autocomplete

FIXED - 11.ERROR IN SALE WHILE ADIDNG DOC WITH RESPONSIBLE FIELD

12.CONNECTIVITY TO (SET SERVICE RATE,AGENT COMMISSION,SET FEE/DISCOUNT)

FIXED - 13.CONNECTIVITY OF REGION

FIXED - 14.ERROR IN SAVE

FIXED - 15.ERROR WHILE CHOOSING COPY OF A ALREADY SOLD VOUCHERS COPY

#15 - 02/05/2024 09:03 PM - Junaid M
GUI Changes -> Ask junaid for Changes page

#16 - 08/10/2024 07:40 PM - Junaid M
Add Feature

Load Voucher Stock Information to Issue/Cancel module

#17 - 09/24/2024 02:35 PM - Arathy PS
ISSUE FOUND

Tax component not loading in tax details field

#18 - 10/07/2024 05:49 PM - Junaid M

New Feature Change

1) Add Customer Cost center In Custom Tab [Apply this in All Issue/Cancel Module]

#19 - 10/24/2024 11:54 AM - Arathy PS
ISSUE FOUND

1. Not loading data in transfer tab of customer service wise SOA.
2. Not loading transfer details in customer item wise.

New Feature Change

1) Add Customer Cost center In Custom Tab [Apply this in All Issue/Cancel Module]

NEW CHANGES

1. In Transfer Tab --> Reference Employee --> Change to Dropdown Labels.
--> Options are "Ref. Employee", "Ref. Account" (Account--> Customer/Supplier/Comn Agent)

#20 - 11/22/2024 01:21 PM - Arathy PS

- Status changed from Reopen Bugs to New Changes

NEW CHANGES

ADDED - Additional Pax

-> Additional Pax Popup - Need Copy <Inputbox> Retore <Checkbox>
—> Add 'Import' Button after 'Sequence' button

* Check Account or JV import

- File* (Red) file Chooser

-Left Side

*File

Avoid First Number of Rows <input>
Avoid Last Number of Rows <input>
*Input Pax Type String <input>
Adult <input>
Child <input>
Infant<input>

-Right Side Table # | Checkbox Column | Index
Ticket No

Pax Profile

Pax Name (Mandatory)

Pax Type (Mandatory)

Nationality

Passport No

Date of Birth

Phone

Email

Save Settings | Close | Import —-> Buttons

ADDED - -> In Additional Pax Pop-up --> at the end of pax add attachment icon as grouped. click then open att

achemnt upload for pax name
ADDED - -> In Ticket tab -> at the end of pax add attachment icon as grouped. click then open attachemnt uplo
ad for pax name

Issue found

FIXED - 1)on copying sold/refunded voucher the document number also get copied.
FIXED - 2)can update the status of cancelled voucher to issue

NEW CHANGES

1. The drop drown at the top showing the status of the ticket (such as issued,cancelled,sold,refund,against sale) with corresponding document no:
and while clicking on them it should redirect to the said document.

#21 - 12/04/2024 12:20 PM - Arathy PS
- File clipboard-202412041220-1nmdu.png added

- Status changed from New Changes to Reopen Bugs

#22 - 12/04/2024 06:33 PM - Arathy PS
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#23 - 12/04/2024 06:36 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

#24 - 12/06/2024 03:19 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

FIXED - 1. While changing region from one to another, billing tax values connected to it in fare tab is not changing.

#25 - 12/11/2024 12:46 PM - Theja Ponon
ISSUE FOUND

FIXED - 1)when billing tax are excluded for a customer through Non Billing Tax Account ,billing tax values are showing for the customer
FIXED - 2)direct void from xo is loading in issue
FIXED - 3.Two tax amounts are showing when we have two equations set with effective from date previous to the current date

FIXED - Change: Change the red star for LPO No: to blue star and show title : If ticked then show will show in LPO waiting report.

#26 - 01/08/2025 12:34 PM - Arathy PS
ISSUE FOUND

FIXED - 1. Designate the supplier that is given in the service provider module when the said service provider is selected.
FIXED - 2. Can change the mandatory fields filled in voucher stock after loading them here.
#27 - 01/24/2025 05:54 PM - Arathy PS
NEW CHANGES

Issue
==>In AP Sharing tab,
DONE - -->'Sharing Type' Default 'Customer Corp Card'

DONE - -->'Card Number' --> Mandatory --> Load from Customer Master -- based on Customer and Corporate Account

DONE - -->'Corporate Card*' Set default -> before 'Supplier'

DONE - *--in the corporate card entry field Load Only 'UCCF' Corporate Card.
--Expiry Date: - Blue * ??

--Name On Card: - Blue * ??

NEW CHANGES

1. In the AP sharing tab bottom,

DONE - --> Add title on Card Number:- Cardmember Account Number
DONE - --> Change 'Name On Card":- Cardmember Name

DONE - --> Add "AEME Approval Code™ Textbox

#28 - 03/13/2025 11:07 AM - Theja Ponon

Issue Found

FIXED - 1)Ap sharing with giving corporate card in Transfer tab ,asking to allow partial payment

#29 - 03/20/2025 04:57 PM - Baseem Shan

Implemented Set Fee/ Discount.

#30 - 03/21/2025 12:25 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#31 - 03/24/2025 03:24 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

Customer side tax get missing when we take a copy of already issued ticket and changed its region.

Files
